**Recherche reproductible : principes méthodologiques pour une science transparente**


**Introduction : Pourquoi avons-nous besoin de reproductibilité ?**
Première société savante est la Royal Society of London qui a introduit le processus de publication attestée par des gentleman de bonnes conditions sociales. Il existe une part de savoir tacite que l’on ne sait pas formaliser ex : laser TEA, des britanniques n’arrivent pas à reproduire un laser que des américains ont développés jusqu’à ce qu’il y ait un américain qui traverse l’atlantique pour les aider. Ainsi on découvre ici que la reproductibilité est au centre de la Science moderne mais qu’elle est inatteignable du fait de ces savoirs tacites. Cependant, la reproductibilité est considérée, à juste titre selon moi, comme étant garante de la crédibilité de la Science. Ainsi, malgré la difficulté de sa maitrise, nous nous devons en tant que scientifique d’améliorer nos pratiques de recherches pour être le plus reproductible possible. L’avènement informatique permet de pouvoir réaliser grâce à divers logiciels des analyses statistiques qui même s’ils sont réalisables par tous ne permettent pas de toucher les hypothèses sous-jacentes. 

**Module 1 : Cahier de notes**
L’abondance de notes peut parfois conduire à certains dangers : exemple décrit dans l’Iles des pingouins, caricature de l’Histoire de France écrit par Anatole France. La grande question qui se pose est de savoir quel support choisir et utiliser pour concilier ses notes. Elles posent également un grand problème de structure après rédaction et leur pérennisation. En effet, sans organisation l’utilité des notes ne dépasseraient que de très peu notre mémoire. 

Je viens de penser à peut-être utiliser un cahier pour concilier mes pensées, idées pour garde rune trace de la construction de mes pensées pour pouvoir y revenir plus tard. L’idée principale serait ici de concilier les expériences qui n’ont pas fonctionné et retrouver l’historique de la solution des problèmes rencontrées pour ne pas avoir à revenir à zéro à chaque fois. 

J’espère que ce MOOC va me donner des outils qui vont me permettre de numériser tout cela pour pouvoir indexer rapidement, facilement mes idées, pensées et expériences pour y revenir sans efforts. S’il pouvait y avoir un outil informatique pour les articles lu. 

De ce que j’ai appris après avoir terminé le premier module et fait les exercices est que GitLab est vraiment un outil remarquable qui pourra me servir dans le futur, notamment avec mes prises de notes. De plus le code d’indexation de John Locke me semble parfaitement adapté pour indexer mes cahiers de laboratoire. Il faudrait également que je retrouve comment modifier la couleur du texte en allant chercher sur le site de Jean-Daniel Bonjour. 


**Utilisation du logiciel à balisage léger Markdown :**
Jean Daniel Bonjour à l’EPFL à rédigé une note de synthèse de l’utilisation du logiciel Markdown : https://enacit.epfl.ch/cours/markdown-pandoc/

**Module 2 : La vitrine et l'envers du décor, le document computationnel**

Un document computationnel est un document qui permet d'améliorer la tracabilité d'un calcul. En effet le manque d'informations même évidentes va finir par bloquer les reproduction des résultats et ainsi conduire à la suspicion des lecteurs quand à la qualité de vos travaux. C'est pourquoi le cahier de laboratoire est essentiel. Il permet de garder une trace explicite de tous les choix que nous avons fait à un certain moment pour pouvoir plus tard si besoin revenir sur ces mêmes expériences pour les reproduire ou les réanalyser. Il faut également veiller à l'utilisation des technologies informatiques. Il faut en effet mesurer si chacune des briques qui constituent l'analyse est fiable. 

Le document computationnel permet une transparence envers les lecteurs qui pourront s'ils le souhaitent, réanalyser les données ou bien les réutiliser pour compléter leurs analyses. 


